Upstream information

CVE-2019-11005 at MITRE

Description

In GraphicsMagick 1.4 snapshot-20190322 Q8, there is a stack-based buffer overflow in the function SVGStartElement of coders/svg.c, which allows remote attackers to cause a denial of service (application crash) or possibly have unspecified other impact via a quoted font family value.

SUSE information

Overall state of this security issue: Does not affect SUSE products

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 4.4
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:L
Access Vector Network Local
Access Complexity Low Low
Privileges Required None None
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High None
Availability Impact High Low
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1132058 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE Leap 15.0
  • GraphicsMagick >= 1.3.29-lp150.3.25.1
  • GraphicsMagick-debuginfo >= 1.3.29-lp150.3.25.1
  • GraphicsMagick-debugsource >= 1.3.29-lp150.3.25.1
  • GraphicsMagick-devel >= 1.3.29-lp150.3.25.1
  • libGraphicsMagick++-Q16-12 >= 1.3.29-lp150.3.25.1
  • libGraphicsMagick++-Q16-12-debuginfo >= 1.3.29-lp150.3.25.1
  • libGraphicsMagick++-devel >= 1.3.29-lp150.3.25.1
  • libGraphicsMagick-Q16-3 >= 1.3.29-lp150.3.25.1
  • libGraphicsMagick-Q16-3-debuginfo >= 1.3.29-lp150.3.25.1
  • libGraphicsMagick3-config >= 1.3.29-lp150.3.25.1
  • libGraphicsMagickWand-Q16-2 >= 1.3.29-lp150.3.25.1
  • libGraphicsMagickWand-Q16-2-debuginfo >= 1.3.29-lp150.3.25.1
  • perl-GraphicsMagick >= 1.3.29-lp150.3.25.1
  • perl-GraphicsMagick-debuginfo >= 1.3.29-lp150.3.25.1
Patchnames:
openSUSE-2019-1272
openSUSE Leap 42.3
  • GraphicsMagick >= 1.3.25-132.1
  • GraphicsMagick-debuginfo >= 1.3.25-132.1
  • GraphicsMagick-debugsource >= 1.3.25-132.1
  • GraphicsMagick-devel >= 1.3.25-132.1
  • libGraphicsMagick++-Q16-12 >= 1.3.25-132.1
  • libGraphicsMagick++-Q16-12-debuginfo >= 1.3.25-132.1
  • libGraphicsMagick++-devel >= 1.3.25-132.1
  • libGraphicsMagick-Q16-3 >= 1.3.25-132.1
  • libGraphicsMagick-Q16-3-debuginfo >= 1.3.25-132.1
  • libGraphicsMagick3-config >= 1.3.25-132.1
  • libGraphicsMagickWand-Q16-2 >= 1.3.25-132.1
  • libGraphicsMagickWand-Q16-2-debuginfo >= 1.3.25-132.1
  • perl-GraphicsMagick >= 1.3.25-132.1
  • perl-GraphicsMagick-debuginfo >= 1.3.25-132.1
Patchnames:
openSUSE-2019-1272


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLED-10-SP3 ImageMagick Not affected
SLED-10-SP4 ImageMagick Not affected
SLES for SAP Applications ImageMagick Not affected
SUSE Linux Enterprise 15 Module for Desktop Applications ImageMagick Not affected
SUSE Linux Enterprise 15 Module for Development Tools ImageMagick Not affected
SUSE Linux Enterprise Desktop 11 ImageMagick Not affected
SUSE Linux Enterprise Desktop 11 SP1 ImageMagick Not affected
SUSE Linux Enterprise Desktop 11 SP2 ImageMagick Not affected
SUSE Linux Enterprise Desktop 11 SP3 ImageMagick Not affected
SUSE Linux Enterprise Desktop 11 SP4 ImageMagick Not affected
SUSE Linux Enterprise Desktop 12 ImageMagick Not affected
SUSE Linux Enterprise Desktop 12 SP1 ImageMagick Not affected
SUSE Linux Enterprise Desktop 12 SP2 ImageMagick Affected
SUSE Linux Enterprise Desktop 12 SP3 ImageMagick Not affected
SUSE Linux Enterprise Desktop 12 SP4 ImageMagick Not affected
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search ImageMagick Not affected
SUSE Linux Enterprise High Performance Computing 12 SP2 ImageMagick Not affected
SUSE Linux Enterprise High Performance Computing 12 SP3 ImageMagick Not affected
SUSE Linux Enterprise High Performance Computing 12 SP4 ImageMagick Not affected
SUSE Linux Enterprise Server 11 SP1 ImageMagick Not affected
SUSE Linux Enterprise Server 11 SP1 LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 11 SP2 ImageMagick Not affected
SUSE Linux Enterprise Server 11 SP2 LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 11 SP2 for VMware ImageMagick Not affected
SUSE Linux Enterprise Server 11 SP3 ImageMagick Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 11 SP3 for VMware ImageMagick Not affected
SUSE Linux Enterprise Server 11 SP4 ImageMagick Not affected
SUSE Linux Enterprise Server 12 ImageMagick Not affected
SUSE Linux Enterprise Server 12 LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP1 ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP2 ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP2 BCL ImageMagick Affected
SUSE Linux Enterprise Server 12 SP2 LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP3 ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP4 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 12 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Business All-in-One ImageMagick Not affected
SUSE Linux Enterprise Server for the Raspberry Pi ImageMagick Not affected
SUSE Linux Enterprise Software Development Kit 11 GraphicsMagick Ignore
SUSE Linux Enterprise Software Development Kit 11 ImageMagick Not affected
SUSE Linux Enterprise Software Development Kit 11 SP1 GraphicsMagick Ignore
SUSE Linux Enterprise Software Development Kit 11 SP1 ImageMagick Not affected
SUSE Linux Enterprise Software Development Kit 11 SP2 GraphicsMagick Ignore
SUSE Linux Enterprise Software Development Kit 11 SP2 ImageMagick Not affected
SUSE Linux Enterprise Software Development Kit 11 SP3 GraphicsMagick Ignore
SUSE Linux Enterprise Software Development Kit 11 SP3 ImageMagick Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 GraphicsMagick Ignore
SUSE Linux Enterprise Software Development Kit 11 SP4 ImageMagick Not affected
SUSE Linux Enterprise Software Development Kit 12 ImageMagick Not affected
SUSE Linux Enterprise Software Development Kit 12 SP1 ImageMagick Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 ImageMagick Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 ImageMagick Not affected
SUSE Linux Enterprise Workstation Extension 12 ImageMagick Not affected
SUSE Linux Enterprise Workstation Extension 12 SP1 ImageMagick Not affected
SUSE Linux Enterprise Workstation Extension 12 SP2 ImageMagick Not affected
SUSE Studio Extension for System z 1.2 GraphicsMagick Ignore
SUSE Studio Onsite GraphicsMagick Ignore